/*import { checkTabContext, checkUserIsAdmin } from "@/contexts/auth/infraestructure";
import { ListUsersSchema, buildListUsersController } from "@/contexts/auth/presentation";
import { validateAndParseBody } from "@/core/common/presentation";
import { NextFunction, Request, Response, Router } from "express";

export const usersRouter = (appRouter: Router) => {
  const routes: Router = Router({ mergeParams: true });

  routes.get(
    "/",
    validateAndParseBody(ListUsersSchema),
    checkTabContext,
    checkUserIsAdmin,
    (req: Request, res: Response, next: NextFunction) => {
      buildListUsersController().execute(req, res, next);
    }
  );

  appRouter.use("/users", routes);
};
*/
